import * as React from 'react';
import { NodeStyleProps } from '../StyledNode/StyledNode.types';
import { StyledElementProps } from './StyledElement.types';
/**
 * StyledElement with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */
export declare const StyledElementBase: ({ attributes, children, className, styles, as, nodeProps, }: StyledElementProps) => JSX.Element;
export declare const StyledElement: React.FunctionComponent<StyledElementProps<import("slate").BaseElement, NodeStyleProps, import("../StyledNode/StyledNode.types").NodeStyleSet>>;
//# sourceMappingURL=StyledElement.d.ts.map